Bug 12395 - xfs: now running as user "root" not user "xfs"
Summary: xfs: now running as user "root" not user "xfs"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-17 17:20 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-26 23:31:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2000-06-17 17:20:32 UTC
Regression: in RH6.2 xfs runs as user (and group) "xfs". In BETA1, it
runs as root!

OOPS! xfs has pretty dire security, search Bugtraq for it.

Comment 1 Chris Evans 2000-06-26 23:31:09 UTC
Not fixed in BETA2 - version updated

Comment 2 Bill Nottingham 2000-07-03 05:16:07 UTC
Fixed in XFree86-xfs-4.0-0.29 or later; the %pre script that
added the user was missing. :(


Note You need to log in before you can comment on or make changes to this bug.